<?php

namespace Bluesquare\Hooks\Console;

use Illuminate\Console\Command;

#[AsCommand(name: 'hooks:pre-commit')]
class PreCommitCommand extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'hooks:pre-commit';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Execute pre-commit hooks';

    /**
     * Execute the console command.
     *
     * @return int|null
     */
    public function handle()
    {
        $pint = base_path('vendor/bin/pint');

        if (file_exists($pint)) {
            $this->line("Pint detected. Running...");
            passthru($pint . ' --dirty');
        } else {
            $this->line("Pint not found. Skipping tests.");
        }

        return 0;
    }
}
